SerializableComponent (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableComponent

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableComponent

All Implemented Interfaces:
  Serializable

    public class SerializableComponent

extends Object
implements Serializable

`SerializableComponent` class represent a template component that can be serializable the TemplateComponent class used in the model cannot be serializable since it contains the Widget used as component

Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`SerializableComponent()` Default Constructor for serialization
`SerializableComponent(int x, int y, int width, int height, int templatePage, ComponentType type, boolean isDoubleColLayout, boolean locked, SerializableComponent child, String idInBasket, String paramName, Serializable possibleContent, List<Metadata> metadata)` NOT USED SO FAR
`SerializableComponent(int x, int y, int width, int height, int templatePage, ComponentType i, String paramName, Serializable possibleContent, boolean isDoubleColLayout, boolean locked, List<Metadata> metadata)`
`SerializableComponent(int x, int y, int width, int height, int templatePage, ComponentType type, String idInBasket, String paramName, Serializable possibleContent, boolean isDoubleColLayout, boolean locked, List<Metadata> metadata)`

Method Summary
`SerializableComponent` | `getChild()`
`int` | `getHeight()`
`String` | `getIdInBasket()`
`List<Metadata>` | `getMetadata()`
`String` | `getParamName()`
`Serializable` | `getPossibleContent()`
`int` | `getTemplatePage()`
`ComponentType` | `getType()`
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `hasChild()`
`boolean` | `isDoubleColLayout()`
`boolean` | `isLocked()`
`void` | `setChild(SerializableComponent child)`
`void` | `setDoubleColLayout(boolean isDoubleColLayout)`
`void` | `setHeight(int height)`
`void` | `setIdInBasket(String idInBasket)`
`void` | `setLocked(boolean locked)`
`void` | `setMetadata(List<Metadata> metadata)`
`void` | `setParamName(String paramName)`
`void` | `setPossibleContent(Serializable possibleContent)`
`void` | `setTemplatePage(int templatePage)`
`void` | `setType(ComponentType type)`
`void` | `setWidth(int width)`
`void` | `setX(int x)`
`void` | `setY(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableComponent

    public SerializableComponent()

  Default Constructor for serialization

### SerializableComponent

    public SerializableComponent(int x,
                                 int y,
                                 int width,
                                 int height,
                                 int templatePage,
                                 ComponentType i,
                                 String paramName,
                                 Serializable possibleContent,
                                 boolean isDoubleColLayout,
                                 boolean locked,
                                 List<Metadata> metadata)

Parameters:
  `x` - .
  `y` - .
  `width` - .
  `height` - .
  `templatePage` - .
  `i` - .
  `paramName` - for assigning it a value when exporting to pdf, valid only for Dynamic Content
  `possibleContent` - .
  `isDoubleColLayout` - tell if the comp. is double column
  `locked` - .
  `metadata` - metadata

### SerializableComponent

    public SerializableComponent(int x,
                                 int y,
                                 int width,
                                 int height,
                                 int templatePage,
                                 ComponentType type,
                                 String idInBasket,
                                 String paramName,
                                 Serializable possibleContent,
                                 boolean isDoubleColLayout,
                                 boolean locked,
                                 List<Metadata> metadata)

Parameters:
  `x` - .
  `y` - .
  `width` - .
  `height` - .
  `templatePage` - .
  `type` - .
  `idInBasket` - .
  `paramName` - for assigning it a value when exporting to pdf, valid only for Dynamic Content
  `possibleContent` - .
  `isDoubleColLayout` - tell if the comp. is double column
  `locked` - .
  `metadata` - metadata

### SerializableComponent

    public SerializableComponent(int x,
                                 int y,
                                 int width,
                                 int height,
                                 int templatePage,
                                 ComponentType type,
                                 boolean isDoubleColLayout,
                                 boolean locked,
                                 SerializableComponent child,
                                 String idInBasket,
                                 String paramName,
                                 Serializable possibleContent,
                                 List<Metadata> metadata)

  NOT USED SO FAR

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `templatePage` -
    `type` -
    `isDoubleColLayout` -
    `locked` -
    `child` -
    `idInBasket` -
    `paramName` -
    `possibleContent` -
    `metadata` -

Method Detail

### getChild

    public SerializableComponent getChild()

  Returns:

### setChild

    public void setChild(SerializableComponent child)

  Parameters:
    `child` -

### hasChild

    public boolean hasChild()

  Returns:

### getMetadata

    public List<Metadata> getMetadata()

  Returns:
    .

### setMetadata

    public void setMetadata(List<Metadata> metadata)

  Parameters:
    `metadata` - .

### getHeight

    public int getHeight()

  Returns:
    .

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` - .

### getTemplatePage

    public int getTemplatePage()

  Returns:
    .

### setTemplatePage

    public void setTemplatePage(int templatePage)

  Parameters:
    `templatePage` - .

### getType

    public ComponentType getType()

  Returns:
    .

### setType

    public void setType(ComponentType type)

  Parameters:
    `type` - .

### getWidth

    public int getWidth()

  Returns:
    .

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - .

### getX

    public int getX()

  Returns:
    .

### setX

    public void setX(int x)

  Parameters:
    `x` - .

### getY

    public int getY()

  Returns:
    .

### setY

    public void setY(int y)

  Parameters:
    `y` - .

### getPossibleContent

    public Serializable getPossibleContent()

  Returns:
    .

### setPossibleContent

    public void setPossibleContent(Serializable possibleContent)

  Parameters:
    `possibleContent` - .

### getParamName

    public String getParamName()

  Returns:
    the paramName

### setParamName

    public void setParamName(String paramName)

  Parameters:
    `paramName` - .

### getIdInBasket

    public String getIdInBasket()

  Returns:
    the id in the basket

### setIdInBasket

    public void setIdInBasket(String idInBasket)

  Parameters:
    `idInBasket` - .

### isDoubleColLayout

    public boolean isDoubleColLayout()

  Returns:
    .

### setDoubleColLayout

    public void setDoubleColLayout(boolean isDoubleColLayout)

  Parameters:
    `isDoubleColLayout` - .

### isLocked

    public boolean isLocked()

  Returns:
    .

### setLocked

    public void setLocked(boolean locked)

  Parameters:
    `locked` - .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.